<?php

session_start();

// Secure machen:
define("SECURE", "SpercOS");

require_once "../mysql_inc.php";
require_once "../funcs_inc.php";


$app_id = $_GET["app_id"];


// App ID gegeben und numerisch?
if ($app_id == "" || !is_numeric($app_id))
	die("App 1");

// Benutzer auch angemeldet?
if (!auth_user_session())
	die("App 5");

// Existiert der App Ordner?
if (!is_dir('./' . $app_id))
	die("App 3");

// Existiert die content.php im Fileordner?
if (!is_file('./' . $app_id . '/content.php'))
	die("App 4");


// Die App ID ist gegeben, also laden wir alle Informationen herunter:
$row = mysqli_fetch_object(mysqli_query($mysql_verbindung, "SELECT app_id, admin_only, scripts, css FROM sos_apps
WHERE app_id = " . $app_id . " LIMIT 1"));

// Kein Datensatz gefunden
if (empty($row->app_id))
	die("App 2");

// Benutzer ist nicht wie gewollt Administrator:
if ($row->admin_only == 1 && !auth_user_admin())
	die("App 6");


// Schluss mit den Sicherheitsgeschichten - includen wir die Sprachdatei:
require_once set_lang($app_id . ".php", 1);


// Scripts und CSS einbinden
// Die Styles:
$styles = explode(":::", $row->css);
foreach ($styles as $style) {
	$include_styles .= '<link rel="stylesheet" href="./' . $app_id . '/' . $style . '.css" type="text/css" />';
}

// Die Scripts: Sind Scripte gefordert?
if ($row->scripts != "") {
	
	// jQuery einbinden:
	$include_scripts = '<script src="../js/jquery.js" type="text/javascript"></script>';
	$scripts = explode(":::", $row->scripts);
	// Und danach die Scripte
	foreach ($scripts as $script) {
		$include_scripts .= '<script src="./' . $app_id . '/' . $script . '.js" type="text/javascript"></script>';
	}
	
}



// Eine andere Datei als die content.php einbinden?
if ($_GET["file"] != "") {
	$datei_einbindung = $_GET["file"];
}
else {
	$datei_einbindung = 'content.php';
}



// Die Variable self_refer zur Verfuegung stellen:
$self_refer = 'app_api.php?app_id=' . $app_id;

?>


<!DOCTYPE html>
<html>
	<head>
		<title>INNERFRAME</title>
		<link rel="stylesheet" href="../styles/desktop/app-api.css" type="text/css" />
		<?php echo $include_scripts;
		echo $include_styles; ?>
	</head>
	<body>
		<!-- Die app-Hauptdatei einbinden -->
		<?php require "./" . $app_id . "/" . $datei_einbindung; ?>
	</body>
</html>
