<?php
	
	/*
	##############################################################
	##	Dieses Werk steht unter der Creative-Commons-Lizenz		##
	##	Namensnennung - Nicht-kommerziell - Weitergabe unter	##
	##	gleichen Bedingungen 4.0 International.					##
	##	Um eine Kopie dieser Lizenz zu sehen, besuchen Sie		##
	##	http://creativecommons.org/licenses/by-nc-sa/4.0 .		##
	##############################################################
	*/
	
	// CODE IST NICHT FUER PRODUKTIVEN EINSATZ GEEIGNET!
	// Eine kommerzielle Nutzung ist untersagt!
	// Eine Weitergabe ist nur bei Wahrung der Lizenzbedingungen erlaubt.
	
	// CODE IS NOT SUITABLE FOR PRODUCTIVE USE!
	// A comercial use is strictly prohibited!
	// Disclosure is allowed, as long as the license conditions stay the same.
	
	// Changelog (de): www.jlus.de/projekte/index.php?action=project&id=9
	
	/*
		Project-name:				SpercOS
		PMS-ID:						9
		Version:					PreRelease 1.1
		Author:						Jonathan Lusky
		Date of Publication:		2013-10-01
	*/
	
	// Zur Installation gehen, wenn notwendig:
	if (!file_exists('mysql_inc.php')) {
		header('Location: install/index.php');
		exit;
	}
	if (file_exists('install/index.php'))
		die('Remove the installation directory first');
	
	// Session starten
	session_start();
	
	// Diese Variable wird von den Insert-Dateien abgefragt, um Hack-Ins zu verhindern!
	define("SECURE", "SpercOS");
	
	// Wichtige Dateien einbinden:
	require_once "mysql_inc.php";
	require_once "funcs_inc.php";
	
	// Wenn eine Session existiert, dann einloggen:
	if (auth_user_session()) {
		
		// Kopfinformationen hinzufuegen
		$head_inserts = '<script src="js/desktop.js" type="text/javascript"></script>
		<script src="js/window-api.js" type="text/javascript"></script>
		<link rel="stylesheet" href="styles/desktop/styles.css" type="text/css" />
		<link rel="stylesheet" href="styles/desktop/window-api.css" type="text/css" />';
		
		// Hier wurde bereits eingelogged. Nun bitte den Desktop anzeigen:
		$body_inserts = 'desktop_inc.php';
		
		// Sprache einbinden
		require_once set_lang("desktop.php", "");
		
	}
	else {
		
		// Hier ist der Nutzer noch nicht eingelogged, daher bitte Login-Interface ausgeben:
		$head_inserts = '<script src="js/login.js" type="text/javascript"></script>
		<link rel="stylesheet" href="styles/login/styles.css" type="text/css" />';
		
		$body_inserts = 'login_inc.php';
		
		// Sprache einbinden
		require_once set_lang("login.php", "");
		
	}
	
?>




<!DOCTYPE html>

<html>
	<head>
		<!-- Allgemeine Meta-Informationen -->
		<meta charset="utf-8" />
		<meta name="application-name" content="SpercOS" />
		<meta name="author" content="Jonathan Lusky" />
		<meta name="description" content="SpercOS ist ein virtueller, frei zugnglicher Online
			Desktop. Jeder kann ihn fr seine eigenen Wnsche anpassen. Es handelt sich dabei um ein Entwicklungstest." />
		<meta name="keywords" content="SpercOS, virtueller Desktop, virtual Desktop, free, online, js, javascript, php" />
		<link rel="icon" type="image/png" href="imgs/favicon.png" />
		
		<!-- Titel und Einbindungen von Framework und Style -->
		<title>SpercOS</title>
		<script src="js/jquery.js" type="text/javascript"></script>
		<script src="js/jquery_ui.js" type="text/javascript"></script>
		<link rel="stylesheet" href="js/jquery_ui.css" type="text/css" />
		<link rel="stylesheet" href="general_styles.css" type="text/css" />
		
		<!-- Generierten Frameworks, JS, und Style -->
		<?php echo $head_inserts; ?>
	</head>
	
	<body>
		
		<?php require $body_inserts; ?>
		
	</body>
</html>


<?php
	
	// Mysql schliessen
	mysqli_close($mysql_verbindung);
	
?>
