var open_menue = '';

$(document).ready(function () {
	
	
	// Tooltips anzeigen?
	if ($('#for-js-tooltips').html() == "1") {
		// Ja, Tooltips anzeigen:
		$(document).tooltip();
	}
	
	
	
	// Wenn geklickt wird, wird geguckt, ob eine Aktion ausgefuehrt werden muss:
	$(document).click(function () {
	
		// Wenn noch ein Menue offen ist, soll es geschlossen werden
		if (open_menue != "") {
			$('#menue-' + open_menue).hide("fast");
			open_menue = '';
		}
		
	});
	
	
	
	// Die Uhrzeit alle 30 Sekunden aktualisieren:
	setInterval(function () {
		
		// Die aktuelle Uhrzeit herausfinden und Minuten zweistellig belassen
		var datum = new Date();
		var stunden = datum.getHours();
		var minuten = (datum.getMinutes()<10?'0':'') + datum.getMinutes();
		
		// Stunden aktualisieren:
		$('#clock-stunden').html(stunden);
		
		// Minuten aktualisieren:
		$('#clock-minuten').html(minuten);
		
	}, 30000);
	
	
	// Die Menues werden Menues:
	$('#menue-config').menu().hide();
	
});



// Diese Funktion zeigt die Menues
function show_menue (welches) {
	
	// Wenn das Menue bereits offen ist:
	if (welches == open_menue) {
		return 0;
	}
	
	// Erst einmal alle moeglichen Informationen zusammensuchen:
	var fenster_breite = $(document).width();
	var fenster_hoehe = $(document).height();
	var menue_breite = $('#menue-' + welches).outerWidth();
	var menue_hoehe = $('#menue-' + welches).outerHeight();
	var button_breite = $('#button-menue-' + welches).outerWidth();
	var button_hoehe = $('#button-menue-' + welches).outerHeight();
	var button_position = $('#button-menue-' + welches).offset();
	
	// Auf welcher Breite soll es angezeigt werden?
	if (button_position.left - -menue_breite < fenster_breite) {
		// Kann rechts vom Button angezeigt werden:
		var menue_left_position = button_position.left;
	}
	else {
		// Muss links vom Button angezeigt werden:
		var menue_left_position = (button_position.left - -button_breite) - menue_breite;
	}
	
	
	// Auf welcher Hoehe soll es angezeigt werden?
	if (button_position.top - -menue_hoehe < fenster_hoehe) {
		// Kann unterhalb angezeigt werden:
		var menue_top_position = button_position.top - -button_hoehe - -2;
	}
	else {
		// Muss oberhalb angezeigt werden:
		var menue_top_position = button_position.top - menue_hoehe - 2;
	}
	
	
	// Und dann das ganze auf das Menue uebertragen:
	$('#menue-' + welches).css({"left": menue_left_position, "top": menue_top_position}).show("fast", function () {
		open_menue = welches;
	});
	
	
}



// Diese Funktion wandelt einen RGB-Wert (Komma-spereriert) in einen Hex-Wert mit vorlaeufigem #
function rgbTohex (rgb) {
	
	// Zuerst splitten wir den RGB-Wert:
	rgb = rgb.split(",");
	
	
	// Dann wandeln wir jeden Wert um (ins Hexadez):
	var rot = parseInt(rgb[0]).toString(16);
	var gruen = parseInt(rgb[1]).toString(16);
	var blau = parseInt(rgb[2]).toString(16);
	
	// Jeder Wert sollte aber auch wirklich zwei Zeilen lang sein:
	rot = rot.length == 1 ? '0' + rot : rot;
	gruen = gruen.length == 1 ? '0' + gruen : gruen;
	blau = blau.length == 1 ? '0' + blau : blau;
	
	// Und returnen:
	return '#' + rot + gruen + blau;
	
	
}
