var progress = 0;
var intervall;

$(document).ready(function () {
	
	// Fehlermeldung, wenn Fenster zu klein ist:
	if ($(window).height() < 600 || $(window).width() < 1200) {
		alert("Um das beste Erlebnis bei der Nutzung von SpercOS zu haben, sollte das Fenster mindestens 600px hoch und 1200px breit sein!");
	}
	
	// Positioniere div in der Mitte
	$('#login_div').css({
		"top": ($(window).height() - $('#login_div').outerHeight()) / 3,
		"left": ($(window).width() - $('#login_div').outerWidth()) / 2
	});
	
	
	// Bild Logo in der Mitte vom Div
	$('#logo-image').css({
		"left": ($('#login_div').innerWidth() - $('#logo-image').width()) / 2
	});
	
	
	// Die Message Box verschwinden lassen, wenn sie es soll:
	$('#hidden-box').on("click", function () {
		hide_message();
	});
	
	
	// Dem Formular einen Sinn geben durch Absendeverfahren:
	$('form').on("submit", function (event) {
		
		event.preventDefault();
		
		// Die Daten auswerten:
		var sendestring = $(this).serialize();
		
		// Und Daten absenden:
		$.get("js/login.php?" + sendestring, function (data) {
			
			data = data.split(";:;");
			
			// Login bestaetigt:
			if (data[0] == "login_ok") {
				log_me_in(data[1]);
			}
			
			// Login fehler:
			else {
				show_message(data[0]);
			}
			
		});
		
	});
	
	
});



function log_me_in (data) {
	
	// Zuerst wird das Formular ausgeblendet:
	$('#login_div').fadeOut("slow", function () {
		
		// Dann wird der Ladescreen positioniert, z-index korrigiert und hochgefadet:
		$('#ladescreen').css({
			"left": ($(window).width() - $('#ladescreen').outerWidth()) / 2,
			"top": ($(window).height() - $('#ladescreen').outerHeight()) / 2,
			"z-index": 2
		}).fadeIn("slow", function () {
			
			
			// Intervall setzen, damit die Progressbar weiter lauft:
			intervall = setInterval(function () {
				
				progress++;
				if (progress >= 101) {
					// Interval beenden:
					clearInterval(intervall);
				}
				else {
					$('#progressbar').progressbar({value: progress});
				}
				
				
			}, 50);
			
		});
		
	});
	
	// Nebenbei wird die Progressbar zu einer:
	$('#progressbar').progressbar({
		value: 0,
		complete: function () {
			
			// Ladebalken ist fertig:
			$('#ladescreen input').show();
			
		}
	});
	
	// Ausserdem wird die Nachricht angezeigt:
	$('#ladescreen p').html(data);
	
}


function show_message (message) {
	
	// Diese Funktion gibt Variable Message in die hidden Box oben aus:
	// Ist die Box schon sichtbar?
	if ($('#hidden-box').css("display") != "none") {
		$('#hidden-box p').fadeOut("slow", function () {
			$(this).html(message).fadeIn("slow");
		});
	}
	
	// Box ist noch nicht sichtbar:
	else {
		$('#hidden-box p').html(message);
		$('#hidden-box').slideDown("slow");
	}
	
}

function hide_message () {
	
	// Hier wird nur die hidden Box wieder unsichtbar gemacht:
	$('#hidden-box').slideUp("slow");
	
}



function show_registration () {
	
	// Zuerst die Breite des rechten auf Null setzen und hidden deaktivieren:
	// Anschliessend sofort die Breite hochsetzen:
	$('#right-login').css({
		"width": 0,
		"display": "inline"
	}).animate({
		"width": 350
	}, "slow");
	
	// Gleichzeitig die Fensterbreite anpassen:
	$('#login_div').animate({
		"left": ($(window).width() - 700) / 2
	}, "slow");
	
	// Und gleichzeitig das Logo anpassen:
	$('#logo-image').animate({
		"left": (700 - $('#logo-image').width()) / 2
	}, "slow");
	
	// Natuerlich sollte auch nicht vergessen werden, die Buttons auszutauschen:
	$('#button-set-1').hide().next().show();
	
	// Zuguterletzt die Checkbox setzen:
	$('input[name="registerform"]').prop("checked", true);
	
	// Ausserdem im Fall der Faelle auch die hidden-Box hochfahren und die Maxwidth aendern:
	hide_message();
	$('#hidden-box').css("max-width", 700);
	
}



function hide_registration () {
	
	// Hierbei handelt es sich um eine Umkehrfunktion von show_registration
	
	// Zuerst die Breite auf 0 reduzieren (langsam) und dann display auf none.
	$('#right-login').animate({
		"width": 0
	}, "slow", function () {
		$('#right-login').css({
			"display": "none"
		})
	});
	
	// Gleichzeitig die Fensterbreite anpassen:
	$('#login_div').animate({
		"left": ($(window).width() - 350) / 2
	}, "slow");
	
	// Und gleichzeitig das Logo anpassen:
	$('#logo-image').animate({
		"left": (350 - $('#logo-image').width()) / 2
	}, "slow");
	
	// Natuerlich sollte auch nicht vergessen werden, die Buttons auszutauschen:
	$('#button-set-1').show().next().hide();
	
	// Zuguterletzt die Checkbox setzen:
	$('input[name="registerform"]').prop("checked", false);
	
	// Ausserdem im Fall der Faelle auch die hidden-Box hochfahren:
	hide_message();
	$('#hidden-box').css("max-width", 350);
	
	
}
