var aktuelle_window_id = 0;

function open_window (app_id) {
	
	// Als Erstes sollten wir Informationen ueber die gewuenschte App holen
	// Also senden wir an die window-api.php unsere app_id
	
	$.post("js/window-api.php", {"app_id": app_id}, function (data) {
		
		// Pruefen, ob Daten ueberhaupt vollstaendig angekommen sind und gesplittet werden koennen:
		if (data.indexOf(";:;") == -1) {
			// Es ist ein Fehler aufgetreten:
			alert(data);
			return true;
		}
		
		
		// Daten aufteilen:
		data = data.split(";:;");
		// Die Daten haben folgendes Format:
		// title, width, height, resizable, fullscreenable, closeable, on_close, minimizable, start_on_fullscreen, 
		// background_title, background_body, req_full_rights
		
		// Window-ID Plus 1
		aktuelle_window_id = aktuelle_window_id - -1;
		
		// Die Buttons werden hier erzeugt, wenn erlaubt:
		if (data[7] == "1") {var minimize_button = '<button class="window-minimize">&nbsp;</button>&nbsp;';}
		else {var minimize_button = "";}
		if (data[4] == "1") {var maximize_button = '<button class="window-maximize">&nbsp;</button>&nbsp;';}
		else {var maximize_button = "";}
		if (data[5] == "1") {var close_button = '<button class="window-close">&nbsp;</button>';}
		else {var close_button = "";}
		
		
		// Generierung des neuen Divs als Window
		var newdiv = '<div id="window-' + aktuelle_window_id + '" class="window-main" '
		+ 'style="width: ' + data[1] + 'px; height: ' + data[2] + 'px; display: none;">'
		+ '<div class="window-header" style="background-color: rgba(' + data[9] + ',.8);">'
		+ '<img src="apps/' + app_id + '/icon.png" alt="Icon" />'
		+ '<div class="window-title">' + data[0] + '</div>'
		+ '<div class="window-tools">'
		+ minimize_button
		+ maximize_button
		+ close_button
		+ '</div></div>'
		+ '<div class="window-body" style="background-color: rgba(' + data[10] + ',.9);">'
		+ '<iframe src="apps/app_api.php?app_id=' + app_id + '" class="window-frame" />'
		+ '</div></div>';
		
		
		// Generierung des neuen Divs als Current-Apps-Displayer 
		var newcurrent = '<div id="window-' + aktuelle_window_id + '-current" class="window-main-current" title="' + data[0] + '"'
		+ ' style="background-color: ' + rgbTohex(data[10]) + ';"'
		+ ' onclick="window_minimize_back(\'#window-' + aktuelle_window_id + '\');">'
		+ '<img src="apps/' + app_id + '/icon.png" alt="Icon" />'
		+ '</div>';
		
		
		
		// Im Body nun ausgeben (Das Window):
		$.when(
			// Den neuen DIV im Body ausgeben:
			$("body").append(newdiv).children('#bottomnav1').append(newcurrent)
		).then(function () {
		
			// Alle Funktionen ausfuehren, die den Div anschliessend bearbeiten:
			$('#window-' + aktuelle_window_id)
			.draggable({handle: ".window-header", scroll: false})
			.show("slow", function () {
				// Den Titel einblenden
				$('#window-' + aktuelle_window_id + ' .window-title').fadeIn("slow");
			})
			.disableSelection()
			.click(function () {
				// Aktuelle ID herausfinden:
				var window_id = $(this).attr("id");
				// Window als Aktiv markieren:
				window_make_active('#' + window_id);
			});
			
			window_make_active('#window-' + aktuelle_window_id);
			
			// Damit bei einem Klick in den iframe auch aktiv gemacht wird:
			$('#window-' + aktuelle_window_id + ' iframe').load(function () {
				
				// Ein kleiner Trick, mit welchem ich vor der Funktionsdefinition das Object mitgebe:
				var window_id = $(this).parent().parent().attr("id");
				
				$(this).contents().find('body').click(function () {
					window_make_active('#' + window_id);
				});
			});
			
			
			// Darf Window verformt (resized) werden?
			if (data[3] == "1") {
				$('#window-' + aktuelle_window_id)
				.resizable({animate: true, handles: "all", minHeight: 200, minWidth: 300})
				.addClass("allowed_resize");
			}
			
			// Soll mit Fullscreen begonnen werden?
			if (data[8] == "1") {
				// Maximiere
				window_maximize('#window-' + aktuelle_window_id);
			}
			
			
			// Die angefuegten Buttons werden noch eben konvertiert:
			if (minimize_button != "") {
				$('#window-' + aktuelle_window_id + ' .window-minimize').button({
					icons: {"primary": "ui-icon-minusthick"},
					text: false
				}).click(function () {
					var window_object = $(this).parent().parent().parent().attr("id");
					window_minimize("#" + window_object);
				});
			}
			// Maximieren bitte auf Knopfdruck
			if (maximize_button != "") {
				$('#window-' + aktuelle_window_id + ' .window-maximize').button({
					icons: {"primary": "ui-icon-copy"},
					text: false
				}).click(function () {
					var window_object = $(this).parent().parent().parent().attr("id");
					window_maximize("#" + window_object);
				});
			}
			
			
			// Hier wird der Schliessen-Button initialisiert von jQuery UI
			if (close_button != "") {
				$('#window-' + aktuelle_window_id + ' .window-close').button({
					icons: {"primary": "ui-icon-closethick"},
					text: false
				}).click(function () {
					
					// Wenn geschlossen werden soll:
					// Sollte beim Schliessen eine Funktion ausgefuehrt werden?
					if (data[6] != "") {
						// Ja sollte, daher rufen wir diese Funktion nun innerhalb des Frames auf:
						// !!! CALLE FUNKTION DATA[6] INNERHALB DES FRAMES!!
					}
					else {
						// Einfach so schliessen:
						var window_object = $(this).parent().parent().parent().attr("id");
						window_close("#" + window_object);
					}
					
				});
			}
			
			
			
		});
		
	});
	
}



// Funktion zum Maximieren eines Fensters:
function window_maximize (window_id) {
	// Wir nehmen das Draggable und nicht resizable, weil resizable deaktiviert sein koennte
	var aktueller_status = $(window_id).draggable("option", "disabled");
	
	// Maximieren
	if (!aktueller_status) {
		// Einmal bitte maximieren:
		// Die optimale Hoehe errechnen:
		var hoehe = $(window).height() - 80;
		
		// Zuerst komplett maximieren
		$(window_id).animate({height: hoehe, width: '100%'}, "slow", function () {
			// Danach die Hoehe und Breite auf Auto setzen und danach die Aussenraender anpassen
			$(this).animate({left: 0, right: 0, top: 30, bottom: 50}, "slow");
		}).draggable("disable");
		
		// Darf die Groesse veraendert werden?
		if ($(window_id).hasClass("allowed_resize")) {
			$(window_id).resizable("disable");
		}
	}
	// Normalisieren
	else {
		$(window_id).animate({height: '50%', width: '50%'}, "slow", function () {
			$(this).animate({left: 20, top: 50}, "slow");
		}).draggable("enable");
		// Die Groesse veraendert werden?
		if ($(window_id).hasClass("allowed_resize")) {
			$(window_id).resizable("enable");
		}
	}
	
}



// Funktion zum Schliessen eines Fensters:
function window_close (window_id) {
	// lassen wir das Fenster verschwinden:
	$(window_id).fadeOut("fast", function () {
		// Danach wird beides aus der DOM entfernt:
		$(window_id).remove();
		$(window_id + '-current').remove();
	});
}


// Hier wird das Fenster minimiert
function window_minimize (window_id) {
	// Das Fenster einfach so hochsliden und alles ist gegessen
	$(window_id).slideUp("slow");
}


function window_minimize_back (window_id) {
	// Das Fenster wieder runtersliden
	$(window_id).slideDown("slow");
	// Danach bitte noch aktiv machen:
	window_make_active(window_id);
}



// Diese Funktion macht ein Window aktiv und das bisherige inaktiv
function window_make_active (window_id) {
	
	// Gucken wir erst einmal, ob Fenster bereits aktiv ist:
	if ($('.window-active').attr("id") != window_id) {
		
		// Fenster noch nicht aktiv:
		
		// Selektieren wir zuerst das aktive Fenster und machen es inaktiv:
		$('.window-active').removeClass("window-active");
		$('.window-active-current').removeClass("window-active-current");
		
		// Dann aktivieren wir das andere Fenster:
		$(window_id).addClass("window-active");
		$(window_id + '-current').addClass("window-active-current");
		
	}
	
}
